지정된 연합 데이터베이스 인스턴스 에 대한 쿼리 로그를 다운로드 . API json 응답 스키마 사용한 직접 호출을 지원 하지 않습니다. '수락: 애플리케이션 /gzip' 형식의 수락 헤더를 사용하여 gzip 응답 스키마 요청 해야 합니다.
역할 요구 사항
- 프로젝트 데이터 액세스 관리자
- 프로젝트 데이터 액세스 읽기 전용
- 프로젝트 데이터 액세스 읽기 쓰기
- 프로젝트 Stream Processing 소유자
경로 매개변수
-
프로젝트 식별하는 고유한 24-16진수 문자열입니다. 인증된 사용자가 액세스 할 수 있는 모든 프로젝트를 조회 하려면 /groups 엔드포인트를 사용합니다.
참고: 그룹과 프로젝트는 동의어입니다. 그룹 ID는 프로젝트 ID와 동일합니다. 기존 그룹의 경우, 그룹/프로젝트 ID는 동일하게 유지됩니다. 리소스 및 해당 엔드포인트는 그룹이라는 용어를 사용합니다.
형식은
^([a-f0-9]{24})$패턴 과 일치해야 합니다. -
쿼리 로그를 다운로드하려는 연합 데이터베이스 인스턴스를 식별하는 인간 판독 가능 레이블.
GET /API/Atlas/v1.0/groups/{groupId}/dataFederation/{tenantName}/queryLogs.gz
curl \
--request GET 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/dataFederation/{tenantName}/queryLogs.gz' \
--header "Authorization: Bearer $ACCESS_TOKEN"
응답 예시(400)
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
응답 예시(401)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
응답 예시(403)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
응답 예시(404)
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
응답 예시(409)
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot delete organization link while there is active migration in following project ids: 60c4fd418ebe251047c50554",
"error": 409,
"errorCode": "CANNOT_DELETE_ORG_ACTIVE_LIVE_MIGRATION_ATLAS_ORG_LINK",
"reason": "Conflict"
}
응답 예시(500)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}